org.multiverse.api.exceptions

## Class LockedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.multiverse.api.exceptions.TxnExecutionException
        - - org.multiverse.api.exceptions.AtomicOperationException
          - - org.multiverse.api.exceptions.LockedException

All Implemented Interfaces:
  java.io.Serializable

    public class LockedException
    extends AtomicOperationException

An `AtomicOperationException` thrown when an atomic operation was executed on a `TxnObject` while it was locked. E.g. when an atomicGet was done on a TxnRef that already has an exclusive lock or that a TxnRef.atomicSet while a readlock already was acquired.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LockedException()` Creates a new LockedException.
`LockedException(java.lang.String message)` Creates a new LockedException
`LockedException(java.lang.String message, java.lang.Throwable cause)` Creates a new LockedException.
`LockedException(java.lang.Throwable cause)` Creates a new LockedException

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LockedException

    public LockedException()

Creates a new LockedException.

#### LockedException

    public LockedException(java.lang.String message)

Creates a new LockedException

Parameters:
  `message` - the message

#### LockedException

    public LockedException(java.lang.String message,
                   java.lang.Throwable cause)

Creates a new LockedException.

Parameters:
  `message` - the message
  `cause` - the cause

#### LockedException

    public LockedException(java.lang.Throwable cause)

Creates a new LockedException

Parameters:
  `cause` - the cause